
<nav title="{{ _('Profile') }}" class="menu-padding">
    <h3>{{ _('Profile') }}</h3>
    <ul>
        <li><a href="{{ url('profile:detail') }}">{{ _('Profile') }}</a></li>
        <li><a href="{{ url('profile:edit') }}">{{ _('Edit profile') }}</a></li>
        <li><a href="{{ url('profile:contributions') }}">{{ _('Contributions') }}</a></li>
        <li><a href="{{ url('conversation:list') }}">{{ _('Conversas') }}</a></li>

    </ul>
</nav>
<nav title="{{ _('Account') }}" class="menu-padding">
    <h3>{{ _('Account') }}</h3>
    <ul>
        <li><a href="{{ url('account:index') }}">{{ _('Account') }}</a></li>
        <li><a href="{{ url('account:logout') }}">{{ _('Logout') }}</a></li>
        {% if settings.has_clusters %}<li><a href="{{ url('stereotypes:list') }}">{{ _('Personas') }}</a></li>{% endif %}
    </ul>
</nav>
{{ page_menu.ACCESSIBILITY() }}
<li id="tutorial" class="tour-hidde"><a><i class="fa fa-compass" aria-hidden="true"></i>Tutorial</a></li>

<script>
    let url = window.location.href.split("/");
    let selectedBoard = url[url.length-3].replace(":","");
    let backgroundColor = document.querySelector("." + selectedBoard);

    if (backgroundColor) {
        backgroundColor.className = "selected-board";
        document.getElementById(selectedBoard + "-link").click();
    }

    const reqTutorial = () => {
        const tourUrl = "{{tour}}"

        if (tourUrl) {
            const currentPage = window.location.href
            const csrftoken = document.querySelector('[name=csrfmiddlewaretoken]').value;
            const el = document.getElementById("tutorial")
            el.classList.remove("tour-hidde")
            for (const a of document.querySelectorAll("li")) {
                if (a.textContent.includes("Tamanho da fonte")) {
                    a.insertAdjacentElement('afterend', el)
                }
            }
            el.addEventListener("click", function (e) {
                $(function(){
                    const request = new Request(
                        tourUrl,
                        {
                            method: 'POST',
                            headers: {'X-CSRFToken': csrftoken},
                            mode: 'same-origin'
                        }
                    );
                    fetch(request).then((response) => {
                        window.location.href = tourUrl
                    });
                })


            })
        }
    }

    window.addEventListener("load", reqTutorial);

</script>
